Gecode::Search::FailStop Class Reference
Functionality by programming task » Programming models » Search engines » Stop-objects for stopping search

Stop-object based on number of failures More...

`#include <search.hh>`

## Public Member Functions

| FailStop (unsigned long int l)
| Stop if failure limit l is exceeded.
unsigned long int | limit (void) const
| Return current limit.
void | limit (unsigned long int l)
| Set current limit to l failures.
virtual bool | stop (const Statistics &s, const Options &o)
| Return true if failure limit is exceeded.
| Stop (void)
| Default constructor.
virtual | ~Stop (void)
| Destructor.

## Protected Attributes

unsigned long int | l
| Failure limit.

## Additional Inherited Members

static Stop * | node (unsigned long int l)
| Stop if node limit l has been exceeded.
static Stop * | fail (unsigned long int l)
| Stop if failure limit l has been exceeded.
static Stop * | time (unsigned long int l)
| Stop if time limit l (in milliseconds) has been exceeded.
Static Public Member Functions inherited from Gecode::HeapAllocated
static void * | operator new (size_t s)
| Memory management.
static void | operator delete (void *p)
| Free memory allocated from heap.

## Detailed Description

Stop-object based on number of failures

The number of failures reported (by the statistics) is the number since the engine started exploration. It is not the number since the last stop!

Definition at line 852 of file search.hh.

## Constructor & Destructor Documentation

## FailStop()

Gecode::Search::FailStop::FailStop | ( | unsigned long int | l | ) |

inline

Stop if failure limit l is exceeded.

Definition at line 71 of file stop.hpp.

## Member Function Documentation

## limit() [1/2]

unsigned long int Gecode::Search::FailStop::limit | ( | void |  | ) | const

inline

Return current limit.

Definition at line 74 of file stop.hpp.

## limit() [2/2]

void Gecode::Search::FailStop::limit | ( | unsigned long int | l | ) |

inline

Set current limit to l failures.

Definition at line 79 of file stop.hpp.

## stop()

bool Gecode::Search::FailStop::stop | ( | const Statistics & | s,
|  | const Options & | o )

virtual

Return true if failure limit is exceeded.

Implements Gecode::Search::Stop.

Definition at line 71 of file stop.cpp.

## Member Data Documentation

## l

unsigned long int Gecode::Search::FailStop::l

protected

Failure limit.

Definition at line 855 of file search.hh.

The documentation for this class was generated from the following files:

- gecode/search.hh
- gecode/search/stop.cpp
- gecode/search/stop.hpp